btllib::DataSink Class Reference
Inheritance diagram for btllib::DataSink:

## Public Member Functions

| DataSink (const std::string &path, bool append=false)
Public Member Functions inherited from btllib::DataStream
| DataStream (const std::string &path, Operation op)
void | close ()
FILE * | operator* () const
FILE * | operator-> () const
| operator FILE * () const

## Additional Inherited Members

Public Types inherited from btllib::DataStream
enum | Operation { READ, WRITE, APPEND, CLOSE }
Protected Attributes inherited from btllib::DataStream
std::string | streampath
Operation | op
std::string | pipepath
FILE * | file = nullptr
bool | closed = false

The documentation for this class was generated from the following file:

- include/btllib/data_stream.hpp